Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.machinereassignment.persistence
Class MachineReassignmentProblemIO

    java.lang.Object
      org.optaplanner.examples.machinereassignment.persistence.MachineReassignmentProblemIO

All Implemented Interfaces:
  ProblemIO

    public class MachineReassignmentProblemIO

extends Object
implements ProblemIO

Field Summary
`static String` | `FILE_EXTENSION`

Constructor Summary
`MachineReassignmentProblemIO()`

Method Summary
`String` | `getFileExtension()` Every `Solution` type potentially has its own file extension.
`Solution` | `read(File inputSolutionFile)` This method is thread-safe.
`void` | `write(Solution solution, File outputSolutionFile)` This method is thread-safe.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_EXTENSION

    public static final String FILE_EXTENSION

See Also:
  Constant Field Values

Constructor Detail

### MachineReassignmentProblemIO

    public MachineReassignmentProblemIO()

Method Detail

### getFileExtension

    public String getFileExtension()

  Description copied from interface: `ProblemIO`
  Every `Solution` type potentially has its own file extension. If no specific file extension is defined by the use case, the following are recommended:
  - If this `ProblemIO` implementation serializes to XML, use file extension "xml".
  - If this `ProblemIO` implementation serializes to text, use file extension "txt".
  - If this `ProblemIO` implementation serializes to binary, use file extension "dat".

  It's good practice that both the input and the output file have the same file extension, because an output file should be able to function as an input file. If that isn't the case, this method should return the output file extension.

  The file extension does not include the dot that separates it from the base name.

  This method is thread-safe.

  Specified by:
    `getFileExtension` in interface `ProblemIO`
  Returns:
    never null, for example "xml"

### read

    public Solution read(File inputSolutionFile)

  Description copied from interface: `ProblemIO`
  This method is thread-safe.

  Specified by:
    `read` in interface `ProblemIO`
  Parameters:
    `inputSolutionFile` - never null
  Returns:
    never null

### write

    public void write(Solution solution,
                      File outputSolutionFile)

  Description copied from interface: `ProblemIO`
  This method is thread-safe.

  Specified by:
    `write` in interface `ProblemIO`
  Parameters:
    `solution` - never null
    `outputSolutionFile` - never null, parent directory already exists

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.